---
title: Keyboard.lock()
slug: Web/API/Keyboard/lock
tags:
  - API
  - Keyboard API
  - Keyboard Lock
  - Method
  - Reference
  - keyboard
  - lock()
---
<div>{{APIRef("Keyboard Map API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <strong><code>lock()</code></strong> method of the {{domxref("Keyboard")}} interface returns a {{jsxref('Promise')}} after enabling the capture of keypresses for any or all of the keys on the physical keyboard. This method can only capture keys that are granted access by the underlying operating system.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>promise</var> = Keyboard.lock([<em>keyCodes</em>[]])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>keyCodes</code> {{optional_inline}}</dt>
 <dd>An {{jsxref('Array')}} of one or more key codes to lock. If no keycodes are provided all keys will be locked. A list of valid code values is found in the <a href="https://www.w3.org/TR/uievents-code/#key-alphanumeric-writing-system">UI Events KeyboardEvent code Values</a> spec.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref('Promise')}}.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Capturing_all_keys">Capturing all keys</h3>

<p>The following example captures all keypresses.</p>

<pre class="brush: js">navigator.keyboard.lock();</pre>

<h3 id="Capturing_specific_keys">Capturing specific keys</h3>

<p>The following example captures the "W", "A", "S", and "D" keys. It captures these keys regardless of which modifiers are used with the key press. Assuming a standard US QWERTY layout, registering <code>"KeyW"</code> ensures that "W", Shift+"W", Control+"W", Control+Shift+"W", and all other key modifier combinations with "W" are sent to the app. The same applies to for <code>"KeyA"</code>, <code>"KeyS"</code> and <code>"KeyD"</code>.</p>

<pre class="brush: js">navigator.keyboard.lock(["KeyW", "KeyA", "KeyS", "KeyD"]);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{experimental_inline}} {{SpecName('Keyboard Lock','#h-keyboard-lock','lock()')}}</td>
   <td>{{Spec2('Keyboard Lock')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Keyboard.lock")}}</p>
